CONTAINER-KEY(1)

NAME
container-key - Manage GnuPG keyring for container operations

SYNOPSIS
container key ['OPTIONS']

DESCRIPTION

The container key command manages the GnuPG keyring for container operations.

OPTIONS

The following container key options are available:

    -a, --add='KEY_FILE|KEY_ID':
        Add a key to the keyring.

    -l, --list':
        List keys in the keyring.

    -r, --remove='KEY':
        Remove a key from the keyring.

EXAMPLES

Add a key to the keyring manually:
        gpg --keyserver hkps://keys.openpgp.org --recv 0x55CF1BF986ABB9C7 gpg --armor --export 0x55CF1BF986ABB9C7 | sudo container key --add -

Assisted adding of the same key:
        sudo container key --add 0x55CF1BF986ABB9C7

Remove a key from the keyring:
        sudo container key --remove 0x55CF1BF986ABB9C7

List keys in the keyring:
        sudo container key --list

FILES

The following files are used:

    /etc/compute-tools/keys:
        Active container keyring.

    /usr/share/compute-tools/keys:
        Inactive container keyring library.

SEE ALSO
compute-tools(7),
container(1).

HOMEPAGE

More information about compute-tools and the Open Infrastructure project can be found on the homepage (https://open-infrastructure.net).

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System (https://bugs.debian.org).

AUTHORS

compute-tools were written by Daniel Baumann <daniel.baumann@open-infrastructure.net> and others.